Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.sliderpanel
Interface SliderListener

public interface SliderListener

Interface for slider panel listener.

Method Summary
`void` | `sliderAnimationStarted(int sliderOrientation)` Invoked after the slider panel's animation process is started.
`void` | `sliderAnimationStoped(int sliderOrientation)` Invoked after the slider panel's animation process is stopped.
`void` | `sliderHidden(int sliderOrientation)` Invoked after the slider panel became invisible.
`void` | `sliderShown(int sliderOrientation)` Invoked after the slider panel became visible.
`void` | `sliderWillBecomeInvisible(int sliderOrientation)` Invoked before the slider panel becomes invisible.
`void` | `sliderWillBecomeVisible(int sliderOrientation)` Invoked before the slider panel becomes visible.

Method Detail

### sliderWillBecomeVisible

    public void sliderWillBecomeVisible(int sliderOrientation)

  Invoked before the slider panel becomes visible.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

### sliderWillBecomeInvisible

    public void sliderWillBecomeInvisible(int sliderOrientation)

  Invoked before the slider panel becomes invisible.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

### sliderShown

    public void sliderShown(int sliderOrientation)

  Invoked after the slider panel became visible.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

### sliderHidden

    public void sliderHidden(int sliderOrientation)

  Invoked after the slider panel became invisible.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

### sliderAnimationStarted

    public void sliderAnimationStarted(int sliderOrientation)

  Invoked after the slider panel's animation process is started.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

### sliderAnimationStoped

    public void sliderAnimationStoped(int sliderOrientation)

  Invoked after the slider panel's animation process is stopped.

  Parameters:
    `sliderOrientation` - the orientation of this `JSliderPanel`, one of the following constants defined in `JSliderPanel`: `JSliderPanel.LEFT_PANEL`, `JSliderPanel.RIGHT_PANEL`, `JSliderPanel.TOP_PANEL` or `JSliderPanel.BOTTOM_PANEL`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.